{% if variant and variant|lower != "default" %}
  {% set attributes = attributes|add_class("usa-search--" ~ variant|lower) %}
{% endif %}
<form {{ attributes|add_class("usa-search") }}>
  <div role="search">
    {{ {"@component": "label", "for_value": search_id, "label": label, "attributes": {"class": ["usa-sr-only", ]}, } }}
    <input class="usa-input"
           id="{{ search_id }}"
           type="search"
           name="search"
           placeholder="Search" />
    <button class="usa-button" type="submit">
      {% if variant != "small" %}<span class="usa-search__submit-text">{{ "Search"|t }}</span>{% endif %}
      <img src="{{ search_icon }}" class="usa-search__submit-icon" alt="Search">
    </button>
  </div>
</form>
